accessors::chained(3pm)

NAME
accessors::chained - create method chaining accessors in caller's package.

SYNOPSIS
  package Foo;
  use accessors::chained qw( foo bar baz );

  my $obj = bless {}, 'Foo';

  # generates chaining accessors:
  $obj->foo( 'hello ' )
      ->bar( 'world' )
      ->baz( "!\n" );

  print $obj->foo, $obj->bar, $obj->baz;

DESCRIPTION
The accessors::chained pragma lets you create simple method-chaining accessors at compile-time.

This module exists for future backwards-compatability - if the default style of accessor ever changes, method-chaining accessors will still be available through this pragma.

See accessors for documentation.

AUTHOR
Steve Purkis <spurkis@cpan.org>

SEE ALSO
accessors, accessors::classic, base